Bug 469224 - HP LP2065 monitor can't do 1600x1200 with RHEL5
HP LP2065 monitor can't do 1600x1200 with RHEL5
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-nv (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-10-30 13:34 EDT by Alan Matsuoka
Modified: 2010-10-23 01:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-08 00:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sosreport (532.44 KB, application/x-bzip2)
2008-10-30 13:34 EDT, Alan Matsuoka
no flags Details
rpm -Va output (9.37 KB, text/plain)
2008-11-20 12:10 EST, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (48.89 KB, text/plain)
2008-11-20 12:10 EST, Matěj Cepl
no flags Details
/var/log/dmesg (23.35 KB, text/plain)
2008-11-20 12:10 EST, Matěj Cepl
no flags Details
/var/log/messages (163 bytes, text/plain)
2008-11-20 12:11 EST, Matěj Cepl
no flags Details
/etc/X11/xorg.conf (1.20 KB, text/plain)
2008-11-20 12:11 EST, Matěj Cepl
no flags Details

  None (edit)
Description Alan Matsuoka 2008-10-30 13:34:25 EDT
Created attachment 321964 [details]

State the problem

  1. Provide time and date of the problem

On going.

  2. Indicate the platform(s) (architectures) the problem is being reported against.

HP xw4400, xw4300.
HP LP2065 LCD monitor
Nvidia Quadro NVS 285

  3. Provide clear and concise problem description as it is understood at the time of escalation
         * Observed behavior

Can only get 1600x1200 with VGA. Can only get 1280x1024 with DVI. This is with the nv driver.  Using proprietary driver works fine, and use Noveau with "Randr12" in the "Devices" seciton of the Xorg.conf file works.

         * Desired behavior

1600x1200 with DVI & nv driver.

  4. State specific action requested of SEG

Investigate issue with nvdriver, provide fix.


Provide supporting info

  1. State other actions already taken in working the problem:
Tried adding "Randr12" to "Devices" section, didn't work. Using VGA works.

  2. Attach sosreport


  3. Attach other supporting data
  4. Provide issue repro information:

Connect HP LP2065 LCD monitor to Nvidia Quadro NVS 285, reconfig with /usr/bin/system-config-display --reconfig --noui --set-resolution=1600x1200 --set-depth=24. May also occur with other monitors.

  5. List any known hot-fix packages on the system


  6. List any customer applied changes from the last 30 days

None known.
Comment 1 Matěj Cepl 2008-11-20 12:10:08 EST
Created attachment 324204 [details]
rpm -Va output
Comment 2 Matěj Cepl 2008-11-20 12:10:38 EST
Created attachment 324205 [details]
Comment 3 Matěj Cepl 2008-11-20 12:10:55 EST
Created attachment 324206 [details]
Comment 4 Matěj Cepl 2008-11-20 12:11:19 EST
Created attachment 324207 [details]
Comment 5 Matěj Cepl 2008-11-20 12:11:43 EST
Created attachment 324208 [details]
Comment 6 Adam Jackson 2009-02-10 17:16:56 EST
(--) NV(0): CRTC 0 is currently programmed for DFP
(II) NV(0): Using DFP on CRTC 0
(--) NV(0): Panel size is 1280 x 1024

This isn't something we can fix.  The nv driver relies on memory and panel setup performed by the BIOS at boot time.  This is typically conservative and does not try to do any better than 1280x1024, on the assumption that the runtime driver will do it correctly.  Which is true, with nvidia's driver, but not with the open one.  And nvidia haven't been willing to tell us how to set that up, so we really have no choice but to limit output size.

This is only an issue for digital output paths on pre-G80 (GeForce 8000 series) nvidia hardware.  Use the VGA connector if possible.

Should be documented in a release note or kb article, but not something we can fix in RHEL5.  Devel nak.
Comment 7 RHEL Product and Program Management 2009-02-10 17:46:14 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 13 Russell Doty 2009-07-06 17:14:09 EDT
Update from Nvidia:

·        Bugzilla 469224 - HP LP2065 monitor can't do 1600x1200 with RHEL5

·        Roland opened up NVbugs issue for tracking

§  Bug 572773 ([nv driver] HP LP2065 monitor can't do 1600x1200 with RHEL5)

·        Moving up to medium priority as customer has hundreds of units that are down due to this issue

·        G80-based cards should be able to program the correct resolution on flat panels with xf86-video-nv 1.99.1 and higher.

·        This is not something we can implement for earlier GPUs and will look to update documentation

·        NVS285 was the reporting board, which Mark confirmed is an NV44 which is in sync with the above findings

·        Andy advised offline that due to our inability to update the TMDS encoder, we are limited to what the Vbios initializes
Comment 15 Jeremy West 2010-02-08 00:50:41 EST
The original customer request has closed, therefore I'm closing this bug as this remains unresolved.

Note You need to log in before you can comment on or make changes to this bug.